=== debian/changelog ===
csound-plugins (1.0.2~dfsg1-6) unstable; urgency=medium

  * Fix FTBFS with Cmake-4 (Closes: #1112818)
  * Modernize d/watch to version 5
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 30 Sep 2025 00:46:27 +0200

csound-plugins (1.0.2~dfsg1-5) unstable; urgency=medium

  * Fix FTBFS with gmm>=5.4.3 (Closes: #1095336)
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Feb 2025 22:13:33 +0100

csound-plugins (1.0.2~dfsg1-4) unstable; urgency=medium

  * Compat with HDF5 1.14.
    (Closes: #1078984)
    Thanks to Pierre Gruet <pgt@debian.org> & Gilles Filippini <pini@debian.org>
  * Update copyright information
    + Bump copyright dates
    + Updated licensecheck target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Dec 2024 19:41:20 +0100

csound-plugins (1.0.2~dfsg1-3) unstable; urgency=medium

  * Recommend the 'stk' package
  * Set DEFAULT_STK_RAWWAVE_PATH when building
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2022 08:17:29 +0100

csound-plugins (1.0.2~dfsg1-2) unstable; urgency=medium

  * Declare csound-plugins as Multi-Arch:same
  * Add first autopkgtest
  * Fix URI to salsa.d.o
  * Switch d/watch to use github tags rather than releases
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 09:18:17 +0200

csound-plugins (1.0.2~dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

  * Versioned B-D on libcsound64-dev
  * Add Breaks+Replaces: libcsound64-6.0 (Closes: #1006218)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Feb 2022 15:53:58 +0100

csound-plugins (1.0.2~dfsg1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1005271)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Feb 2022 12:04:58 +0100
