=== debian/control ===
Source: csound-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ableton-link-dev,
 cmake,
 faust,
 fluid,
 libcsnd-dev (>= 1:6.17~),
 libcsound64-dev (>= 1:6.17~),
 libeigen3-dev,
 libfltk1.3-dev,
 libfluidsynth-dev,
 libgmm++-dev,
 libhdf5-dev,
 libjack-dev,
 libmp3lame-dev,
 libpng-dev,
 libstk-dev,
 libwebsockets-dev,
 python3-dev,
 zlib1g-dev | libz-dev,
Standards-Version: 4.7.2
Homepage: https://csound.com
Vcs-Browser: https://salsa.debian.org/multimedia-team/csound-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/csound-plugins.git
Rules-Requires-Root: no

Package: csound-plugins
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 stk,
Breaks:
 libcsound64-6.0 (<< 1:6.17),
Replaces:
 libcsound64-6.0 (<< 1:6.17),
Description: plugin collection for Csound
 Csound is a sound and music synthesis system. Drawing from over 450
 signal processing modules, it can be used to model virtually any
 synthesizer or multi-effect processor. It can work either in real-time
 or as a compiler.
 .
 Csound is to sound synthesis as C is to programming.
 .
 This package contains additional plugins (that depend on 3rd party libraries).
