=== debian/tests/control ===
Test-Command: csound --nosound py/examples/embeddedCtcsound.csd
Depends:
 csound,
 csound-plugins,
 python3-csound,
Restrictions:
 allow-stderr,
