=== debian/watch ===
Version: 5

# Run the "uscan" command to check for upstream updates and more.
Template: Github
Owner: csound
Project: plugins
Dversionmangle: auto
Repacksuffix: +dfsg
